import { CfnOutput, Stack, StackProps } from "aws-cdk-lib";
import { AttributeType, ITable, Table } from "aws-cdk-lib/aws-dynamodb";
import { Construct } from "constructs";

export class DataStack extends Stack {
  public readonly contactsTable: ITable;

  constructor(scope: Construct, id: string, props?: StackProps) {
    super(scope, id, props);

    this.contactsTable = new Table(this, "ContactsTable", {
      partitionKey: {
        name: "id",
        type: AttributeType.STRING,
      },
      tableName: "ContactsTable",
    });
  }
}
