import { APIGatewayProxyEvent, APIGatewayProxyResult } from "aws-lambda";
import { JsonError } from "./Validator";
import { randomUUID } from "crypto";

export function createRandomId() {
  return randomUUID();
}

//Dodavanje CORS Header-a
export function addCorsHeader(arg: APIGatewayProxyResult) {
  if (!arg.headers) {
    arg.headers = {};
  }
  arg.headers["Access-Control-Allow-Headers"] =
    "Content-Type,X-Amz-Date,Authorization,X-Api-Key,X-Amz-Security-Token";
  arg.headers["Access-Control-Allow-Origin"] = "*";
  arg.headers["Access-Control-Allow-Methods"] = "OPTIONS,GET,POST,PUT,DELETE";
}

//Error Handler za Parsiranje JSON-a
export function parseJSON(arg: string) {
  try {
    return JSON.parse(arg);
  } catch (error) {
    throw new JsonError(error.message);
  }
}
