import { ContactEntry } from "../model/Model";

export class MissingFieldError extends Error {
  constructor(missingField: string) {
    super(`Value for ${missingField} expected!`);
  }
}

export function validateAsContactEntry(arg: any) {
  if ((arg as ContactEntry).email == undefined) {
    throw new MissingFieldError("email");
  }
  if ((arg as ContactEntry).name == undefined) {
    throw new MissingFieldError("name");
  }
  if ((arg as ContactEntry).id == undefined) {
    throw new MissingFieldError("id");
  }
  if ((arg as ContactEntry).isFavorite == undefined) {
    throw new MissingFieldError("isFavorite");
  }
}

export class JsonError extends Error {}
